onEvent('block.right_click', event => {
	if(event.block.properties.waterlogged == "true" && event.player.crouching && event.player.mainHandItem == Item.empty && event.block.hasTag('kubejs:pickable')){
		let block = event.block.item
		event.block.set('minecraft:water')
		event.player.giveInHand(block)
		event.player.swingArm(MAIN_HAND)
	}
	
	else if(event.player.crouching && event.player.mainHandItem == Item.empty && event.block.hasTag('kubejs:pickable')){
		let block = event.block.item
		event.block.set('minecraft:air')
		event.player.giveInHand(block)
		event.player.swingArm(MAIN_HAND)
	}
})